Status: Resolved Start date: 25 September 2015
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 20.00 hours
Description

Rozšířit tabulku s hrubými výsledky o možnosti filtrace, seskupování, třídění pro snažší zpracování.

History
#1 - 25 September 2015 15:02 - Tomáš Kulhánek
- % Done changed from 0 to 70

Nový tab "Upravené výsledky", integrace Tessiris grid do dat z výsledků testů (http://grid.tesseris.com/) a Knockout.JS 
pro provázání tabulek, funkcionality seskupování a zobrazení dat ze serveru.
Přidána možnost třídit, seskupit podle hodnot z vybraného sloupce a filtrovat - zatím jen z vybraného testu.

Chybí:
  - vybrat více testů, dotaz na výsledky podle např. CASE nebo TASK
  - tlačítko, které vygeneruje základní statistiky a exportuje data z vybraného seskupení.
  - defaultně seskupit výsledky podle CASE a TASK, umožnit seskupit i jinak

#2 - 25 September 2015 15:03 - Tomáš Kulhánek
- Status changed from New to In Progress

#3 - 01 October 2015 11:11 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Pridano strankovani, optimalizovan cas zpracovani vetsiho mnozstvi dat.
